import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/staff/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/staff/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/staff/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/staff/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/staff/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/staff/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/staff/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function queryRole() {
  return request.get(constant.serverUrl + "/base/staff/queryRole");
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,queryRole
}